Bug 1908557 - [e2e][automation]Miss css id on bootsource and reviewcreate step on wizard
Summary: [e2e][automation]Miss css id on bootsource and reviewcreate step on wizard
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: Gilad Lekner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-17 02:32 UTC by Guohua Ouyang
Modified: 2021-02-24 15:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:45:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7658 0 None closed Bug 1908557: Miss css id on bootsource wizard 2021-01-02 19:25:31 UTC
Github openshift console pull 7672 0 None closed Bug 1908557: Miss css id on bootsource wizard 2021-01-02 19:25:31 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:46:15 UTC

Description Guohua Ouyang 2020-12-17 02:32:52 UTC
Description of problem:
On the new wizard, many elements like 'Boot source type' on the Boot source step and 'Falvor' on the next page are missing css id, which cause it's not easy to locate these element in automation.

Version-Release number of selected component (if applicable):
OCP 4.7

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Yaacov Zamir 2020-12-23 06:00:54 UTC
hi, no target release because it's for 4.8

Comment 2 Guohua Ouyang 2020-12-25 12:39:01 UTC
Really hope we can get this in 4.7, it's not easy to do automation for the boot source step in the new wizard.

Comment 3 Yaacov Zamir 2020-12-25 14:42:21 UTC
target to 4.7 see comment#2

Comment 5 Guohua Ouyang 2020-12-28 03:04:51 UTC
The css IDs are adding on boot source step, can we have an ID for flavor in reviewcreate step?
Thanks.

Comment 7 Gilad Lekner 2021-01-02 19:30:40 UTC
Clearing redundant NEEDINFO

Comment 10 errata-xmlrpc 2021-02-24 15:45:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.